import { SelectItem } from 'primeng-lts/api';
import * as i0 from "@angular/core";
export declare class AlFeedbackComponent {
    feedbackReason: SelectItem;
    reasons: SelectItem[];
    showFeedbackDialog: boolean;
    feedbackText: string | null;
    showFeedbackOption: boolean;
    show(): void;
    hide(): void;
    toogleFeedbackDialog(): void;
    isDisabledSubmit(): boolean;
    submitFeedback(): void;
    private resetInputs;
    static ɵfac: i0.ɵɵFactoryDef<AlFeedbackComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlFeedbackComponent, "al-feedback", never, {}, {}, never, never>;
}
